/// \file programOptionsTemplates.hpp
/// \author Franck Dary
/// @version 1.0
/// @date 2019-05-27

#ifndef PROGRAMOPTIONSTEMPLATES_HPP
#define PROGRAMOPTIONSTEMPLATES_HPP

#include <boost/program_options.hpp>

namespace po = boost::program_options;

void loadTrainProgramParameters(int argc, char * argv[]);
po::options_description getTrainOptionsDescription();
po::variables_map checkOptions(po::options_description & od, int argc, char ** argv);
void updatePaths();
void launchTraining();
void createExpPath();
void launchTraining();
void createTemplatePath();
void loadTrainProgramParameters(int argc, char * argv[]);
void removeTemplatePath();

#endif
