#include "ProgramParameters.hpp"

ProgramParameters::ProgramParameters()
{
}

std::string ProgramParameters::input;
std::string ProgramParameters::expName;
std::string ProgramParameters::baseExpName;
std::string ProgramParameters::expPath;
std::string ProgramParameters::langPath;
std::string ProgramParameters::templatePath;
std::string ProgramParameters::newTemplatePath;
std::string ProgramParameters::templateName;
std::string ProgramParameters::tmFilename;
std::string ProgramParameters::tmName;
std::string ProgramParameters::bdFilename;
std::string ProgramParameters::bdName;
std::string ProgramParameters::mcdFilename;
std::string ProgramParameters::mcdName;
bool ProgramParameters::debug;
std::string ProgramParameters::trainFilename;
std::string ProgramParameters::trainName;
std::string ProgramParameters::devFilename;
std::string ProgramParameters::devName;
std::string ProgramParameters::lang;
std::string ProgramParameters::optimizer;
std::string ProgramParameters::dicts;
int ProgramParameters::nbIter;
int ProgramParameters::seed;
bool ProgramParameters::removeDuplicates;
bool ProgramParameters::shuffleExamples;
float ProgramParameters::learningRate;
float ProgramParameters::beta1;
float ProgramParameters::beta2;
float ProgramParameters::bias;
bool ProgramParameters::interactive;
int ProgramParameters::dynamicEpoch;
float ProgramParameters::dynamicProbability;
int ProgramParameters::showFeatureRepresentation;
bool ProgramParameters::randomEmbeddings;
bool ProgramParameters::randomParameters;
bool ProgramParameters::printEntropy;
bool ProgramParameters::printTime;
bool ProgramParameters::errorAnalysis;
bool ProgramParameters::meanEntropy;
bool ProgramParameters::onlyPrefixes;
int ProgramParameters::iterationSize;
int ProgramParameters::nbTrain;
std::string ProgramParameters::sequenceDelimiterTape;
std::string ProgramParameters::sequenceDelimiter;
std::string ProgramParameters::classifierName;
int ProgramParameters::batchSize;
std::string ProgramParameters::loss;
std::map<std::string,std::string> ProgramParameters::featureModelByClassifier;
int ProgramParameters::nbErrorsToShow;
int ProgramParameters::nbIndividuals;
int ProgramParameters::beamSize;
int ProgramParameters::nbChilds;
int ProgramParameters::tapeSize;
int ProgramParameters::devTapeSize;
int ProgramParameters::readSize;
bool ProgramParameters::printOutputEntropy;
int ProgramParameters::dictCapacity;
std::string ProgramParameters::tapeToMask;
float ProgramParameters::maskRate;
bool ProgramParameters::featureExtraction;
bool ProgramParameters::devEvalOnGold;
bool ProgramParameters::devLoss;
bool ProgramParameters::randomDebug;
float ProgramParameters::randomDebugProbability;
bool ProgramParameters::alwaysSave;
bool ProgramParameters::noNeuralNetwork;
bool ProgramParameters::showActions;
bool ProgramParameters::delayedOutput;
int ProgramParameters::maxStackSize;

